diff --git a/src/libFLAC/lpc.c b/src/libFLAC/lpc.c
index a4aaced..7dabe09 100644
--- a/src/libFLAC/lpc.c
+++ b/src/libFLAC/lpc.c
@@ -207,10 +207,11 @@ int FLAC__lpc_quantize_coefficients(const FLAC__real lp_coeff[], unsigned order,
 	}
 
 	if(*shift >= 0) {
+		const int pshift = *shift;
 		FLAC__double error = 0.0;
 		FLAC__int32 q;
 		for(i = 0; i < order; i++) {
-			error += lp_coeff[i] * (1 << *shift);
+			error += lp_coeff[i] * (1 << pshift);
 			q = lround(error);
 
 #ifdef FLAC__OVERFLOW_DETECT
